curl -X PUT "https://api.affonso.io/v1/program/promotion-urls/default" \
-H "Authorization: Bearer sk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{ "promotion_url_id": "promotion_url_abc123" }'
Promotion URLs
Set Program Default Promotion URL
Set the program-wide default promotion URL
PUT
/
v1
/
program
/
promotion-urls
/
default
curl -X PUT "https://api.affonso.io/v1/program/promotion-urls/default" \
-H "Authorization: Bearer sk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{ "promotion_url_id": "promotion_url_abc123" }'
Set the global default promotion URL. The selected URL must be active, belong to your program, and have the
all_affiliates audience.
Body Parameters
string
required
The active
all_affiliates promotion URL to use as the global default.Response
Returns the selected promotion URL. See List Promotion URLs for the response object.curl -X PUT "https://api.affonso.io/v1/program/promotion-urls/default" \
-H "Authorization: Bearer sk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{ "promotion_url_id": "promotion_url_abc123" }'
Was this page helpful?
